Bug 614492 - $VERSION isn't nummeric in perl-Archive-Tar-1.39.1-1.el4_8.1
Summary: $VERSION isn't nummeric in perl-Archive-Tar-1.39.1-1.el4_8.1
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: perl-Archive-Tar   
(Show other bugs)
Version: 4.8
Hardware: All
OS: Linux
low
low
Target Milestone: rc
: ---
Assignee: Petr Pisar
QA Contact: Martin Cermak
URL:
Whiteboard:
Keywords: EasyFix, Regression, ZStream
Depends On: 612886
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-07-14 15:16 UTC by RHEL Product and Program Management
Modified: 2016-06-17 21:12 UTC (History)
8 users (show)

Fixed In Version: perl-Archive-Tar-1.39.1-1.el4_8.2
Doc Type: Bug Fix
Doc Text:
When using the Archive::Tar Perl module, when the $VERSION variable was referenced, a warning message similar to the following was printed to standard output: Argument "1.39_01" isn't numeric in subroutine entry at -e line 1. This was caused by the presence of an underscore in the $VERSION variable. With this update, the Archive::Tar module no longer outputs this warning message. Note: this regression was caused by a change to the module's version number, and was introduced by the RHSA-2010:0505 perl-Archive-Tar security update.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-08-04 14:44:16 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2010:0594 normal SHIPPED_LIVE perl-Archive-Tar bug fix update 2010-08-04 14:44:08 UTC

Description RHEL Product and Program Management 2010-07-14 15:16:27 UTC
This bug has been copied from bug #612886 and has been proposed
to be backported to 4.8 z-stream (EUS).

Comment 6 Douglas Silas 2010-07-26 14:13:33 UTC
Technical note added. If any revisions are required, please edit the "Technical Notes" field
accordingly. All revisions will be proofread by the Engineering Content Services team.

New Contents:
When using the Archive::Tar Perl module, when the $VERSION variable was referenced, a warning message similar to the following was printed to standard output:

  Argument "1.39_01" isn't numeric in subroutine entry at -e line 1.

This was caused by the presence of an underscore in the $VERSION variable. With this update, the Archive::Tar module no longer outputs this warning message.

Note: this regression was caused by a change to the module's version number, and was introduced by the RHSA-2010:0505 perl-Archive-Tar security update.

Comment 11 errata-xmlrpc 2010-08-04 14:44:16 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2010-0594.html


Note You need to log in before you can comment on or make changes to this bug.